Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class LookAndFeelDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.LookAndFeelDefinitionId

All Implemented Interfaces:
  Serializable

public class LookAndFeelDefinitionId
extends Id

Represents the primary keys of `LookAndFeel` definition objects in the database, and is used to uniquely identify them. `LookAndFeelDefinitionId` will be needed when customizing the look and feel of a desktop.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`LookAndFeelDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static LookAndFeelDefinitionId` | `clone(LookAndFeelDefinitionId lookAndFeelDefinitionId)`
`static LookAndFeelDefinitionId` | `createLookAndFeelDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, getId, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookAndFeelDefinitionId

    public LookAndFeelDefinitionId(int id)

Parameters:
  `id` - the integer value that this `LookAndFeelDefinitionId` should be set to.

Method Detail

### createLookAndFeelDefinitionId

    public static LookAndFeelDefinitionId createLookAndFeelDefinitionId(int id)

  Parameters:
    `id` - the integer value that this `LookAndFeelDefinitionId` should be set to.
  Returns:
    a new `LookAndFeelDefinitionId` with the id value set to the integer passed in.

### clone

    public static LookAndFeelDefinitionId clone(LookAndFeelDefinitionId lookAndFeelDefinitionId)

  Parameters:
    `lookAndFeelDefinitionId` - the `LookAndFeelDefinitionId` to be cloned.
  Returns:
    a new `LookAndFeelDefinitionId` with the exact same id value as the `LookAndFeelDefinitionId` passed in.

### clone

    protected Object clone()

  Returns:
    a new `LookAndFeelDefinitionId` with the exact same id value as this `LookAndFeelDefinitionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved